2020-08-05 09:39:18 UTC
63 MB
test
DOCKER_TLS_CERTDIR/certs
DOCKER_VERSION19.03.13-beta2
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:df20fa9351a15782c64e6dddb2d4a6f50bf6d3688060a34c4014b0d9a752eb4c - 4.24% (2.67 MB)
[#001] sha256:25ad7478873d1d5c57089f038747520fe46aa4e913cc6cf29273b3722ec45e53 - 3.09% (1.95 MB)
[#002] sha256:4684f6177b5d290b3aa892c1dc44088aa89f9ea08a68f6ed98262c032aa2caa4 - 0.0% (154 Bytes)
[#003] sha256:6a7bc71302bb3ebb9b3da0925e5ab1f73f6cc11fb9c101b6027d47a5722a22a1 - 92.67% (58.4 MB)
[#004] sha256:ffa883581c86da5877bd7c769cdf72741f06fb34eda145a1aed7f13115d18256 - 0.0% (547 Bytes)
[#005] sha256:c63137de011e0f62d4e549a758f4a17f246031b2db6cd234c6b8ebf8f7396a3e - 0.0% (1020 Bytes)
[#006] sha256:963dfd0472c960bf328adc5d2f49540817dcf48d78e4d5b123dda32dd9ca5127 - 0.0% (117 Bytes)
/bin/sh -c #(nop) ADD file:c92c248239f8c7b9b3c067650954815f391b7bcb09023f984972c082ace2a8d0 in /
2020-05-29 21:19:46 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2020-06-02 21:22:37 UTC/bin/sh -c apk add --no-cache ca-certificates openssh-client
2020-06-02 21:22:38 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2020-07-31 18:19:34 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2020-08-05 09:39:11 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=19.03.13-beta2
2020-08-05 09:39:17 UTC/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version
2020-08-05 09:39:17 UTC/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
2020-08-05 09:39:17 UTC/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/
2020-08-05 09:39:17 UTC/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs
2020-08-05 09:39:18 UTC/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client
2020-08-05 09:39:18 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2020-08-05 09:39:18 UTC/bin/sh -c #(nop) CMD ["sh"]
2020-08-05 09:46:34 UTC
56.5 MB
test
DOCKER_TLS_CERTDIR/certs
DOCKER_VERSION19.03.13-beta2
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:b538f80385f9b48122e3da068c932a96ea5018afa3c7be79da00437414bd18cd - 4.57% (2.58 MB)
[#001] sha256:259a493cd78d717670cae749d341763ca75da1be75567e3a6ee027987eb59da3 - 3.48% (1.97 MB)
[#002] sha256:b8e66b5100f59240fbac025e31dd2d7b37cb74f3ab801eceef475a9381127511 - 0.0% (154 Bytes)
[#003] sha256:906b05e556991727f8cfb46d6775732b4d918182ae162d026e98b04d8ec0f564 - 91.94% (51.9 MB)
[#004] sha256:75e3890784a3e7e52249cf322311f6de7dd51dfcca97e9ecef9592ef85a964ef - 0.0% (546 Bytes)
[#005] sha256:2c3e0b5048b8dee96647dca6481939915da3b60e30cc97b18f39f2fbcdfd6aa2 - 0.0% (1020 Bytes)
[#006] sha256:33a0445c646ce53012d74b3fe794faa397276e615a9b19fea94860a6ff7126ff - 0.0% (150 Bytes)
/bin/sh -c #(nop) ADD file:7574aee4e37a85460ab889212d52912723a9b30dda1c060548f0deb4a05fc398 in /
2020-05-29 21:43:20 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2020-06-02 21:43:17 UTC/bin/sh -c apk add --no-cache ca-certificates openssh-client
2020-06-02 21:43:19 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2020-07-31 17:39:45 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2020-08-05 09:46:01 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=19.03.13-beta2
2020-08-05 09:46:24 UTC/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version
2020-08-05 09:46:27 UTC/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
2020-08-05 09:46:29 UTC/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/
2020-08-05 09:46:30 UTC/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs
2020-08-05 09:46:33 UTC/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client
2020-08-05 09:46:34 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2020-08-05 09:46:34 UTC/bin/sh -c #(nop) CMD ["sh"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.